> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Anomalies

> List anomaly time series across all schedules. **Coming soon.**

Once available, this will enable the 'which TSO time series differ from what we sent' use case without needing individual schedule UIDs, querying both DE and NL anomaly tables unless a market filter is applied.

<Note>**Coming soon.**</Note>


## OpenAPI

````yaml /openapi.json get /schedule-management/v1/anomalies
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /schedule-management/v1/anomalies:
    get:
      tags:
        - schedules
      summary: List Anomalies
      description: >-
        List anomaly time series across all schedules. **Coming soon.**


        Once available, this will enable the 'which TSO time series differ from
        what we sent' use case without needing individual schedule UIDs,
        querying both DE and NL anomaly tables unless a market filter is
        applied.
      operationId: list_anomalies_schedule_management_v1_anomalies_get
      parameters:
        - description: >-
            Filter by TSO identifier. DE values: '50HERTZ_DE_TSO',
            'DE-AMPRION-TSO', 'TTG_DE', 'DE-TRANSNETBWTSO'. NL value:
            'TENNET_TSO'.
          in: query
          name: tso
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by TSO identifier. DE values: '50HERTZ_DE_TSO',
              'DE-AMPRION-TSO', 'TTG_DE', 'DE-TRANSNETBWTSO'. NL value:
              'TENNET_TSO'.
            title: Tso
        - description: Start date filter (YYYY-MM-DD), inclusive.
          in: query
          name: date_from
          required: false
          schema:
            anyOf:
              - format: date
                type: string
              - type: 'null'
            description: Start date filter (YYYY-MM-DD), inclusive.
            title: Date From
        - description: End date filter (YYYY-MM-DD), inclusive.
          in: query
          name: date_to
          required: false
          schema:
            anyOf:
              - format: date
                type: string
              - type: 'null'
            description: End date filter (YYYY-MM-DD), inclusive.
            title: Date To
        - description: 'Filter by market: ''DE'' or ''NL''. Omit to query both.'
          in: query
          name: market
          required: false
          schema:
            anyOf:
              - enum:
                  - DE
                  - NL
                  - germany
                  - netherlands
                type: string
              - type: 'null'
            description: 'Filter by market: ''DE'' or ''NL''. Omit to query both.'
            title: Market
      responses:
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '501':
          content:
            application/json:
              schema: {}
          description: Coming soon.
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````